<div class="applications-list mb-5">
  <h1 class="mat-h1">Wnioski pracownicze</h1>
  <mat-divider class="mb-2"></mat-divider>

  <mat-card>
    <mat-tab-group dynamicHeight>
      <mat-tab>
        <ng-template mat-tab-label>
          <mat-icon>forward</mat-icon>
          <h3 matSubheader>Złożone</h3>
        </ng-template>
        <div class="mat-elevation-z4">
          <mat-list>
            <div *ngIf="(openedApplications$ | async) as openedApplications; else loading">
              <ng-container *ngIf="openedApplications.length; else noOpenedApplications">
                <mat-list-item *ngFor="let openedApplication of openedApplications">
                  <mat-icon mat-list-icon>mail</mat-icon>
                  <p mat-line>Tytuł: {{openedApplication?.title}} </p>
                  <p mat-line>Złożone
                    przez: {{openedApplication?.createdBy?.data?.firstName}} {{openedApplication?.createdBy?.data?.lastName}}</p>
                  <p mat-line>Dział: {{openedApplication?.targetDepartment?.name}}</p>
                  <p mat-line>{{openedApplication?.text}}</p>
                  <p mat-line> {{openedApplication?.createdAt | date: 'd/MM/yyyy, h:mm'}} </p>

                  <ng-container *ngIf="currentUser?.permissions?.canServeApplications">
                    <button mat-icon-button mat-list-icon (click)="onAcceptApplication(openedApplication.id)"
                            class="order-4">
                      <mat-icon matTooltip="Zaakceptuj wniosek">check</mat-icon>
                    </button>
                    <button color="warn" mat-list-icon mat-icon-button (click)="onRejectApplication(openedApplication)"
                            class="order-4">
                      <mat-icon matTooltip="Odrzuć wniosek">close</mat-icon>
                    </button>
                  </ng-container>

                </mat-list-item>
              </ng-container>
              <ng-template #noOpenedApplications>Aktualnie nie ma żadnych wniosków wymagających rozpatrzenia.
              </ng-template>
            </div>
            <ng-template #loading>Ładowanie danych...</ng-template>
          </mat-list>
        </div>
      </mat-tab>

      <mat-tab>
        <ng-template mat-tab-label>
          <mat-icon>done</mat-icon>
          <h3 matSubheader>Rozpatrzone</h3>
        </ng-template>
        <div class="mat-elevation-z4">
          <mat-list>
            <mat-list>
              <div *ngIf="(passedApplications$ | async) as passedApplications; else loading">
                <ng-container *ngIf="passedApplications.length; else noPassedApplications">
                  <mat-list-item *ngFor="let passedApplication of passedApplications">
                    <mat-icon mat-list-icon>mail</mat-icon>
                    <p mat-line>Tytuł: {{passedApplication?.title}} </p>
                    <p mat-line>Złożone
                      przez: {{passedApplication?.createdBy?.data?.firstName}} {{passedApplication?.createdBy?.data?.lastName}}</p>
                    <p mat-line>Dział: {{passedApplication?.targetDepartment?.name}}</p>
                    <p mat-line>Obsłużone
                      przez: {{passedApplication?.servedBy?.data?.firstName}} {{passedApplication?.servedBy?.data?.lastName}}</p>
                    <p mat-line>{{passedApplication?.text}}</p>
                    <p mat-line> {{passedApplication?.updatedAt | date: 'd/MM/yyyy, h:mm'}} </p>
                    <p mat-line> {{passedApplication?.createdAt | date: 'd/MM/yyyy, h:mm'}} </p>
                  </mat-list-item>
                </ng-container>
                <ng-template #noPassedApplications>Aktualnie nie ma żadnych pozytywnie rozpatrzonych wniosków.
                </ng-template>
              </div>
              <ng-template #loading>Ładowanie danych...</ng-template>
            </mat-list>
          </mat-list>
        </div>
      </mat-tab>

      <mat-tab>
        <ng-template mat-tab-label>
          <mat-icon>cancel</mat-icon>
          <h3 matSubheader>Odrzucone</h3>
        </ng-template>
        <div class="mat-elevation-z4">
          <mat-list>
            <div *ngIf="(rejectedApplications$ | async) as rejectedApplications; else loading">
              <ng-container *ngIf="rejectedApplications.length; else noRejectedApplications">
                <mat-list-item *ngFor="let rejectedApplication of rejectedApplications">
                  <mat-icon mat-list-icon>mail</mat-icon>
                  <p mat-line>Tytuł: {{rejectedApplication?.title}} </p>
                  <p mat-line>Złożone
                    przez: {{rejectedApplication?.createdBy?.data?.firstName}} {{rejectedApplication?.createdBy?.data?.lastName}}</p>
                  <p mat-line>Dział: {{rejectedApplication?.targetDepartment?.name}}</p>
                  <p mat-line>Obsłużone
                    przez: {{rejectedApplication?.servedBy?.data?.firstName}} {{rejectedApplication?.servedBy?.data?.lastName}}</p>
                  <p mat-line>{{rejectedApplication?.text}}</p>
                  <p mat-line> {{rejectedApplication?.rejectionReason}}</p>
                  <p mat-line> {{rejectedApplication?.updatedAt | date: 'd/MM/yyyy, h:mm'}} </p>
                  <p mat-line> {{rejectedApplication?.createdAt | date: 'd/MM/yyyy, h:mm'}} </p>
                </mat-list-item>
              </ng-container>
              <ng-template #noRejectedApplications>Aktualnie nie ma żadnych odrzuconych wniosków.</ng-template>
            </div>
            <ng-template #loading>Ładowanie danych...</ng-template>
          </mat-list>
        </div>
      </mat-tab>
    </mat-tab-group>
  </mat-card>
</div>
